> For the complete documentation index, see [llms.txt](https://circular-protocol.gitbook.io/standard-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://circular-protocol.gitbook.io/standard-apis/api-docs/typescript/getassetsupply.md).

# GetAssetSupply

The GetAssetSupply method serves to determine both the total supply and circulating supply of an asset. The total supply is obtained from the asset descriptor, while the circulating supply is derived by subtracting the available supply in the asset owner's wallet from the total supply.

```typescript
var Response = Circular.GetAssetSupply(Blockchain, AssetName);
```

The parameters for this function include the blockchain where the asset is registered and the asset's name. \
\
Upon successful execution of the request, the response should follow this format:

```javascript
Response = { 
            "Total" : [total supply],  
            "Circulating" : [Circulating] 
            }
```

Here are the explanations for each field:

## **Total:**&#x20;

The available supply for the specific asset is the total supply.

## **Circulating:**&#x20;

The circulating supply of the required asset is calculated as the difference between the total supply and the amount held in the asset owner's wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/typescript/getassetsupply.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
